<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RevRecTemplateSearchRow StructType
 * @subpackage Structs
 */
class RevRecTemplateSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RevRecTemplateSearchRowBasic
     */
    public $basic;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $userJoin;
    /**
     * Constructor method for RevRecTemplateSearchRow
     * @uses RevRecTemplateSearchRow::setBasic()
     * @uses RevRecTemplateSearchRow::setUserJoin()
     * @param \StructType\RevRecTemplateSearchRowBasic $basic
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     */
    public function __construct(\StructType\RevRecTemplateSearchRowBasic $basic = null, \StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\RevRecTemplateSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\RevRecTemplateSearchRowBasic $basic
     * @return \StructType\RevRecTemplateSearchRow
     */
    public function setBasic(\StructType\RevRecTemplateSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     * @return \StructType\RevRecTemplateSearchRow
     */
    public function setUserJoin(\StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
